.ipod-box {
  width: 320px;
  max-width: 100vw;
  height: 512px;
  max-height: 100vh;
  background-image: url(iPod-01.webp);
  background-size: contain;
  background-repeat: no-repeat;
  border-radius: 12px;
  margin: 50px auto auto auto;
  box-shadow: 0px 10px 20px rgb(165, 165, 165);
  transform: translateY(0px);
  transition: all 0.5s ease;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
}

.ipod-box:hover {
  box-shadow: 0px 10px 20px black;
  transform: translateY(-2px);
}

.ipod-player {
  width: 240px;
  height: 240px;
  max-height: 40%;
  padding-top: 10%;
}

iframe {
  width: inherit;
  height: inherit;
  outline: 6px solid rgb(60, 60, 60);
  border-radius: 4px;
}

img {
  width: 160px;
  position: relative;
}

.ipod-button {
  padding-bottom: 10%;
  transform: scale(1);
  transition: all 0.5s ease;
}

.ipod-button:active {
  transform: scale(0.97);
}
